Name:      zram
Version:   0.4
Release:   3%{?dist}
Summary:   ZRAM for swap config and services for Fedora
License:   GPLv2+

# No upstream as it's Fedora specific.
Source0:   COPYING
Source1:   zram.conf
Source2:   zram-swap.service
Source3:   zramstart
Source4:   zramstop

BuildArch: noarch

%{?systemd_requires}
BuildRequires: systemd
Requires: util-linux gawk grep procps-ng kmod

%description
ZRAM is a Linux block device that can be used for compressed swap in memory.
It's useful in memory constrained devices. This provides a service to setup
ZRAM as a swap device based on criteria such as available memory.

%prep

install -pm 0644 %{SOURCE0} .

%build
# None required

%install

install -d %{buildroot}%{_sysconfdir}/
install -pm 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/

install -d %{buildroot}%{_unitdir}/
install -pm 0644 %{SOURCE2} %{buildroot}%{_unitdir}/

install -d %{buildroot}%{_sbindir}
install -pm 0755 %{SOURCE3} %{buildroot}%{_sbindir}
install -pm 0755 %{SOURCE4} %{buildroot}%{_sbindir}

%postun
%systemd_postun zram-swap.service

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_unitdir}/zram-swap.service
%{_sbindir}/zramstart
%{_sbindir}/zramstop

%changelog
* Mon Jun 15 2020 Andrew Bauer <zonexpertconsulting@outlook.com> 0.4-3
- modify zramstart for el7 compatibilty

* Fri Jun 12 2020 Andrew Bauer <zonexpertconsulting@outlook.com> 0.4-2
- install COPYING in prep for el7 compatibilty

* Wed Jun 26 2019 Peter Robinson <pbrobinson@fedoraproject.org> 0.4-1
- General improvements (Chris Murphy)

* Sat Nov 24 2018 Peter Robinson <pbrobinson@fedoraproject.org> 0.3-1
- Add support for swap priority

* Thu Jul 19 2018 Peter Robinson <pbrobinson@fedoraproject.org> 0.2-1
- Service ordering fixes, minor cleanup

* Tue Jul 17 2018 Peter Robinson <pbrobinson@fedoraproject.org> 0.1-1
- Initial package
